# Visualization
TKV2d
Select2D

# Select2D_SensitiveEntity Class Reference

A framework to define what all sensitive 2D entities have in common.
This framework can be used to create new 2D sensitive entities.
.

`#include <Select2D_SensitiveEntity.hxx>`

Inheritance diagram for Select2D_SensitiveEntity:

[legend]

## Public Member Functions

virtual Standard_Boolean | NeedsConversion () const
| returns Standard_False unless if redefined...
virtual Standard_EXPORT void | Convert (const Handle(Select2D_Projector)&aProjector)
| Processes the projection of the sensitive primitives in the active view. This must be performed before the selection action. This function must be implemented in daughter classes. .
virtual Standard_EXPORT Standard_Integer | MaxBoxes () const
| Returns the maximum number of boxes. .
Standard_EXPORT void | SetOwnTolerance (const Standard_Real aValue)
| Sets and stores a tolerance value in the argument aTol of the function Matches inherited from SelectBasics_SensitiveEntity. .
Standard_EXPORT void | UnsetOwnTolerance ()
| Removes the in the argument aTol of the function Matches inherited from SelectBasics_SensitiveEntity. .
Standard_EXPORT Standard_Boolean | HasOwnTolerance () const
| Returns true if the entity has a setting for the argument aTol of the function Matches inherited from SelectBasics_SensitiveEntity. .
Standard_EXPORT Standard_Real | OwnTolerance () const
| Returns the tolerance value in the argument aTol of the function Matches inherited from SelectBasics_SensitiveEntity. .
Standard_EXPORT Standard_Boolean | Is3D () const
| Returns true if this object can provide 3D information. .
virtual Standard_EXPORT Standard_Boolean | Matches (const TColgp_Array1OfPnt2d &Polyline, const Bnd_Box2d &aBox, const Standard_Real aTol)
| Free contur selection for 2d is not defined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | Select2D_SensitiveEntity (const Handle(SelectBasics_EntityOwner)&anOwnerId)

## Protected Attributes

Standard_Real | myOwnTolerance

## Constructor & Destructor Documentation

Standard_EXPORT Select2D_SensitiveEntity::Select2D_SensitiveEntity | ( | const Handle(SelectBasics_EntityOwner)& | anOwnerId | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void Select2D_SensitiveEntity::Convert | ( | const Handle(Select2D_Projector)& | aProjector | ) | `[virtual]`

| Reimplemented in StdSelect_SensitiveText2d.

Standard_EXPORT const Select2D_SensitiveEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectBasics_SensitiveEntity. Reimplemented in Select2D_SensitiveArc, Select2D_SensitiveBox, Select2D_SensitiveCircle, Select2D_SensitivePoint, Select2D_SensitiveSegment, and StdSelect_SensitiveText2d.

Standard_Boolean Select2D_SensitiveEntity::HasOwnTolerance | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean Select2D_SensitiveEntity::Is3D | ( |  | ) | const`[virtual]`

| Implements SelectBasics_SensitiveEntity.

virtual Standard_EXPORT Standard_Boolean Select2D_SensitiveEntity::Matches | ( | const TColgp_Array1OfPnt2d & | Polyline,
|  | const Bnd_Box2d & | aBox,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity. Reimplemented in StdSelect_SensitiveText2d.

Standard_Integer Select2D_SensitiveEntity::MaxBoxes | ( |  | ) | const`[inline, virtual]`

| Implements SelectBasics_SensitiveEntity. Reimplemented in Select2D_SensitiveSegment.

Standard_Boolean Select2D_SensitiveEntity::NeedsConversion | ( |  | ) | const`[inline, virtual]`

| Implements SelectBasics_SensitiveEntity. Reimplemented in StdSelect_SensitiveText2d.

Standard_Real Select2D_SensitiveEntity::OwnTolerance | ( |  | ) | const`[inline]`

void Select2D_SensitiveEntity::SetOwnTolerance | ( | const Standard_Real | aValue | ) | `[inline]`

void Select2D_SensitiveEntity::UnsetOwnTolerance | ( |  | ) | `[inline]`

## Field Documentation

Standard_Real Select2D_SensitiveEntity::myOwnTolerance `[protected]`

The documentation for this class was generated from the following files:

- Select2D_SensitiveEntity.hxx
- Select2D_SensitiveEntity.lxx